﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace WinDockManagerTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraDockManager1_InitializePane(object sender, InitializePaneEventArgs e)
        {
            DockAreaPane pane = e.Pane.DockAreaPane;
            if (pane != null)
            {
                pane.DefaultPaneSettings.ActiveCaptionAppearance.BackGradientStyle = Infragistics.Win.GradientStyle.None;
                if (pane.DockAreaPane.DockedLocation == DockedLocation.Floating)
                {
                    //e.Pane.Settings.ActiveCaptionAppearance.ThemedElementAlpha = Infragistics.Win.Alpha.Transparent;
                    pane.DefaultPaneSettings.ActiveCaptionAppearance.BackColor = Color.Red;
                }
                else
                {
                    e.Pane.Settings.ActiveCaptionAppearance.ThemedElementAlpha = Infragistics.Win.Alpha.Transparent;
                    pane.DefaultPaneSettings.ActiveCaptionAppearance.BackColor = Color.Green;
                }
            }
        }

        private void loadButton_Click(object sender, EventArgs e)
        {
            ultraDockManager1.LoadFromBinary("DockManagerLayout2007vol2.bin");
        }

        private void saveButton_Click(object sender, EventArgs e)
        {
            ultraDockManager1.SaveAsBinary("DockManagerLayout2007vol2.bin");
        }
    }
}
